from fastapi import FastAPI
from requests import get

app = FastAPI()

@app.get("/up/http-get")
async def req_status(url: str):
    up: bool
    try:
        res = get(url)
        up = res.status_code > 0 and res.status_code < 400
    except:
        up = False
    return {
        "up": up
    }

# ADD LATER: WEBSOCKETS
# ADD LATER: UDP
